apiVersion: apps/v1
kind: Deployment
metadata:
  name: rigelui
  namespace: rigel
spec:
  replicas: 1
  selector:
    matchLabels:
      app: rigelui
  template:
    metadata:
      labels:
        app: rigelui
    spec:
      containers:
      - name: rigelui
        image: private-repo:5000/rigel-ui:v3
        #image: ganeshwalkoli/test-rigel:v0.3
        ports:
        - containerPort: 80
        env:
        - name: RIGELWSC_URL
          value: "https://rigel.ndmlkra.devops.remiges.tech"
      nodeSelector:
        name: node-1
